gtkmm 3.22.1

Public Member Functions | Public Attributes | Protected Attributes | List of all members
Gtk::ListViewText::TextModelColumns Class Reference

`#include <gtkmm/listviewtext.h>`

Inheritance diagram for Gtk::ListViewText::TextModelColumns:
[legend]

## Public Member Functions
| TextModelColumns (guint columns_count)
| ~TextModelColumns () noexcept
guint | get_num_columns () const
Public Member Functions inherited from Gtk::TreeModelColumnRecord
| TreeModelColumnRecord ()
virtual | ~TreeModelColumnRecord () noexcept
void | add (TreeModelColumnBase& column)
| Adds a TreeModelColumn to this record. More...
unsigned int | size () const
const GType* | types () const

## Public Attributes
Gtk::TreeModelColumn< Glib::ustring >* | m_columns

## Protected Attributes
guint | m_columns_count

## Constructor & Destructor Documentation

## ◆ TextModelColumns()

Gtk::ListViewText::TextModelColumns::TextModelColumns | ( | guint | columns_count | ) |

## ◆ ~TextModelColumns()

Gtk::ListViewText::TextModelColumns::~TextModelColumns | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ get_num_columns()

guint Gtk::ListViewText::TextModelColumns::get_num_columns | ( |  | ) | const

## Member Data Documentation

## ◆ m_columns

Gtk::TreeModelColumn<Glib::ustring>* Gtk::ListViewText::TextModelColumns::m_columns

## ◆ m_columns_count

guint Gtk::ListViewText::TextModelColumns::m_columns_count
| protected